View history and audit trail of agreement events and changes
Get Agreement History
This endpoint returns the history of events for a specific agreement within Common Paper. Returns who made the changes, when they were made, and a description of the change.
path Parameters
idThe UUID of the resource.
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
Get Agreement History › Responses
OK
List Agreement History
This endpoint returns a list of agreement history events for all agreements in your Common Paper organization.
query Parameters
page[number]Page number to retrieve. Defaults to 1.
page[size]Number of records per page. Defaults to 30.
filter[agreement_id_eq]Filter history events for a specific agreement by its UUID.
filter[created_at_gteq]Filter history events on or after this date (ISO 8601).
filter[created_at_lteq]Filter history events on or before this date (ISO 8601).
Headers
AuthorizationThe Authorization header is used to authenticate with the API using your API key. Value is of the format Bearer YOUR_KEY_HERE.
List Agreement History › Responses
OK